package cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.domain.UserRoleDetail;
import cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.filter.*;


public interface UserRoleDetailFeignClient {



	@RequestMapping(method = RequestMethod.DELETE, value = "/runtimemgr/userroledetails/{userroledetail_id}")
    public Boolean remove(@PathVariable("userroledetail_id") String userroledetail_id) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/runtimemgr/userroledetails/{userroledetail_id}")
    public UserRoleDetail update(@PathVariable("userroledetail_id") String userroledetail_id, @RequestBody UserRoleDetail userroledetail) ;

	@RequestMapping(method = RequestMethod.POST, value = "/runtimemgr/userroledetails/{userroledetail_id}/save")
    public UserRoleDetail save(@PathVariable("userroledetail_id") String userroledetail_id, @RequestBody UserRoleDetail userroledetail) ;

	@RequestMapping(method = RequestMethod.POST, value = "/runtimemgr/userroledetails")
    public UserRoleDetail create(@RequestBody UserRoleDetail userroledetail) ;

	@RequestMapping(method = RequestMethod.GET, value = "/runtimemgr/userroledetails/{userroledetail_id}/getdraft")
    public UserRoleDetail getDraft(@PathVariable("userroledetail_id") String userroledetail_id, @RequestBody UserRoleDetail userroledetail) ;

	@RequestMapping(method = RequestMethod.POST, value = "/runtimemgr/userroledetails/checkkey")
    public Boolean checkKey(@RequestBody UserRoleDetail userroledetail) ;

	@RequestMapping(method = RequestMethod.GET, value = "/runtimemgr/userroledetails/{userroledetail_id}")
    public UserRoleDetail get(@PathVariable("userroledetail_id") String userroledetail_id) ;

    @RequestMapping(method= RequestMethod.GET , value="/runtimemgr/userroledetails/fetchdefault")
	public Page<UserRoleDetail> fetchDefault(UserRoleDetailSearchContext searchContext) ;
}
