package cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.filter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.List;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.util.SearchContext;

@Data
public class LoginAccountSearchContext extends SearchContext implements Serializable {

	public String n_pwdchanged_eq;//[密码修改标记]
	public String n_loginaccountname_like;//[登录账号名称]
	public String n_issuperuser_eq;//[是否是超级用户]
	public String n_username_eq;//[用户名称]
	public String n_username_like;//[用户名称]
	public String n_userid_eq;//[用户标识]

}