package cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.filter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.List;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.util.SearchContext;

@Data
public class UserRoleSearchContext extends SearchContext implements Serializable {

	public String n_datasourcetype_eq;//[数据来源]
	public String n_userrolename_like;//[用户角色名称]
	public String n_userroletype_eq;//[用户角色类型]
	public String n_systemname_eq;//[系统名称]
	public String n_systemname_like;//[系统名称]
	public String n_systemid_eq;//[业务系统标识]

}