package cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.domain.UserRoleDataAction;
import cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.filter.*;


public interface UserRoleDataActionFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/runtimemgr/userroledataactions/{userroledataaction_id}/save")
    public UserRoleDataAction save(@PathVariable("userroledataaction_id") String userroledataaction_id, @RequestBody UserRoleDataAction userroledataaction) ;

	@RequestMapping(method = RequestMethod.POST, value = "/runtimemgr/userroledataactions")
    public UserRoleDataAction create(@RequestBody UserRoleDataAction userroledataaction) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/runtimemgr/userroledataactions/{userroledataaction_id}")
    public UserRoleDataAction update(@PathVariable("userroledataaction_id") String userroledataaction_id, @RequestBody UserRoleDataAction userroledataaction) ;

	@RequestMapping(method = RequestMethod.GET, value = "/runtimemgr/userroledataactions/{userroledataaction_id}/getdraft")
    public UserRoleDataAction getDraft(@PathVariable("userroledataaction_id") String userroledataaction_id, @RequestBody UserRoleDataAction userroledataaction) ;

	@RequestMapping(method = RequestMethod.GET, value = "/runtimemgr/userroledataactions/{userroledataaction_id}")
    public UserRoleDataAction get(@PathVariable("userroledataaction_id") String userroledataaction_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/runtimemgr/userroledataactions/checkkey")
    public Boolean checkKey(@RequestBody UserRoleDataAction userroledataaction) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/runtimemgr/userroledataactions/{userroledataaction_id}")
    public Boolean remove(@PathVariable("userroledataaction_id") String userroledataaction_id) ;

    @RequestMapping(method= RequestMethod.GET , value="/runtimemgr/userroledataactions/fetchdefault")
	public Page<UserRoleDataAction> fetchDefault(UserRoleDataActionSearchContext searchContext) ;
}
