package cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.domain.UserRoleDataScope;
import cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.filter.*;


public interface UserRoleDataScopeFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/runtimemgr/userroledatascopes")
    public UserRoleDataScope create(@RequestBody UserRoleDataScope userroledatascope) ;

	@RequestMapping(method = RequestMethod.POST, value = "/runtimemgr/userroledatascopes/{userroledatascope_id}/save")
    public UserRoleDataScope save(@PathVariable("userroledatascope_id") String userroledatascope_id, @RequestBody UserRoleDataScope userroledatascope) ;

	@RequestMapping(method = RequestMethod.POST, value = "/runtimemgr/userroledatascopes/checkkey")
    public Boolean checkKey(@RequestBody UserRoleDataScope userroledatascope) ;

	@RequestMapping(method = RequestMethod.GET, value = "/runtimemgr/userroledatascopes/{userroledatascope_id}/getdraft")
    public UserRoleDataScope getDraft(@PathVariable("userroledatascope_id") String userroledatascope_id, @RequestBody UserRoleDataScope userroledatascope) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/runtimemgr/userroledatascopes/{userroledatascope_id}")
    public UserRoleDataScope update(@PathVariable("userroledatascope_id") String userroledatascope_id, @RequestBody UserRoleDataScope userroledatascope) ;

	@RequestMapping(method = RequestMethod.GET, value = "/runtimemgr/userroledatascopes/{userroledatascope_id}")
    public UserRoleDataScope get(@PathVariable("userroledatascope_id") String userroledatascope_id) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/runtimemgr/userroledatascopes/{userroledatascope_id}")
    public Boolean remove(@PathVariable("userroledatascope_id") String userroledatascope_id) ;

    @RequestMapping(method= RequestMethod.GET , value="/runtimemgr/userroledatascopes/fetchdefault")
	public Page<UserRoleDataScope> fetchDefault(UserRoleDataScopeSearchContext searchContext) ;
}
